package nft.series_claim;

import common.Constant;
import common.Resp;
import config.Config;
import exception.ZXChainException;
import util.HttpUtil;
import util.Tools;
import util.ZxlSDKUtil;

public class QueryResult {
    String platformPubKey;
    String taskId;

    public QueryResult() {
    }

    public QueryResult(String taskId) {
        this.taskId = taskId;
    }

    public ClaimResult claimResult() throws Exception {
        // todo 校验参数
        this.setPlatformPubKey(Config.platformPubKey);
        Resp resp = HttpUtil.apiGetJsonX(Config.baseUrl + "/api/v1/nft/series/claim/result", Tools.getJson(this), ZxlSDKUtil.generateApiSign());
        if (resp.getRetCode() != Constant.ZXL_OK) {
            throw new ZXChainException(resp.getRetMsg());
        }

        return resp.getData(ClaimResult.class);
    }

    public String getPlatformPubKey() {
        return platformPubKey;
    }

    public void setPlatformPubKey(String platformPubKey) {
        this.platformPubKey = platformPubKey;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
}
